Distribution:	CCux
Packager:	Karsten Brockmann	

Name:		hts-tvheadend
#Epoch:		0
Version:	2.12
Release:	1
License:	GNU/GPLv2
URL:		http://www.lonelycoder.com/hts/tvheadend_overview.html
Group:		Multimedia
Summary:	TV streaming server
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

# Sources:
Source:		%{name}_%{version}.tar.gz
Source100:	tvheadend.init

# Patches:

# Requires:
BuildRequires:  git

# BuildRequires:
BuildRequires:	imlib2-devel
BuildRequires:	SDL-devel
BuildRequires:  libdc1394-devel
BuildRequires:  schroedinger-devel
BuildRequires:  faac-devel
BuildRequires:  gsm-devel
BuildRequires:  lame-devel
BuildRequires:  openjpeg-devel
BuildRequires:  speex-devel
BuildRequires:  libtheora-devel
BuildRequires:  libvorbis-devel
BuildRequires:  x264-devel
BuildRequires:  xvidcore-devel
BuildRequires:  libvdpau-devel
BuildRequires:  zlib-devel
BuildRequires:  bzip2-devel

#Automatically resolved build dependencies
BuildRequires: avahi-devel
BuildRequires: glibc-devel

Requires(pre): /sbin/chkconfig
Requires(pre): /sbin/service

%define tvheadend_user_uid  220
%define tvheadend_group_gid 39

%description
Tvheadend is a TV streaming server for Linux supporting DVB-S, DVB-S2, DVB-C, DVB-T, ATSC, IPTV, and Analog video (V4L) as input sources.

It also comes with a powerful and easy to use web interface both used for configuration and day-to-day operations, such as searching the EPG and scheduling recordings.

%package	devel
Summary:	%{name} development headers.
Group:		%{group}
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%pre
# Add the "video" group
#/usr/sbin/groupadd -g %{tvheadend_group_gid} video 2> /dev/null || :
# Add the "tvheadend" user
/usr/sbin/useradd -c 'TV streaming server' -g video -u %{tvheadend_user_uid} -s /sbin/nologin -d '/' tvheadend 2> /dev/null || :

%post
ldconfig
# Run tvheadend by default:
/sbin/chkconfig --add tvheadend >/dev/null 2>&1 || :;

%postun
ldconfig
# restart services
if [ "$1" = "1" ]; then
	/sbin/service tvheadend restart >/dev/null 2>&1
fi

%preun
# stop services and remove them
if [ "$1" = "0" ]; then
	/sbin/service tvheadend stop > /dev/null 2>&1
	/sbin/chkconfig --del tvheadend
fi
%prep
%setup -q -n %{name}-%{version}

%build
export CFLAGS='-march=i686'; export CXXFLAGS='-march=i686'

./configure \
--prefix=%_prefix \
--arch=i686 \
--cpu=pentium3 \
--release

sed -i -e "s/CFLAGS  = -Wall -Werror -Wwrite-strings -Wno-deprecated-declarations/CFLAGS  = -Wall -Werror -Wwrite-strings -Wno-deprecated-declarations -march=i686/" Makefile

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALLPREFIX=$RPM_BUILD_ROOT%{_prefix}
# Is this really needed?
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
gzip $RPM_BUILD_ROOT/usr/share/man1/tvheadend.1
mv $RPM_BUILD_ROOT/usr/share/man1/tvheadend.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/tvheadend.1.gz

# create config dir
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/tvheadend
# init integration
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 644 %{SOURCE100} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/tvheadend

%files
%defattr(-,root,root)
%attr(775, root, video) %config(noreplace) %{_sysconfdir}/tvheadend
%attr(755, root, video) %{_sysconfdir}/init.d/tvheadend
%{_bindir}/tvheadend
%{_mandir}/man1/tvheadend.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 02 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.10-1
- Version update
* Sun Dec 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 2.7-1
- initial CCux package release
